Index: chan_sip.c
===================================================================
--- chan_sip.c	(revision 85542)
+++ chan_sip.c	(working copy)
@@ -6834,17 +6834,17 @@
 /*! \brief Transmit 422 response with Min-SE header (Session-Timers)  */
 static int transmit_response_with_minse(struct sip_pvt *p, const char *msg, const struct sip_request *req, int minse_int)
 {
-    struct sip_request resp;
-    char minse_str[20];
+	struct sip_request resp;
+	char minse_str[20];
 
-    respprep(&resp, p, msg, req);
-    append_date(&resp);
+	respprep(&resp, p, msg, req);
+	append_date(&resp);
 
 	snprintf(minse_str, sizeof(minse_str), "%d", minse_int);
 	add_header(&resp, "Min-SE", minse_str);
 
-    add_header_contentLength(&resp, 0);
-    return send_response(p, &resp, XMIT_UNRELIABLE, 0);
+	add_header_contentLength(&resp, 0);
+	return send_response(p, &resp, XMIT_UNRELIABLE, 0);
 }
 
 
@@ -13543,14 +13543,15 @@
 				}
 				p->st_active = TRUE;
 				p->st_active_peer_ua = TRUE;
+				start_session_timer(p);
 			} else {
 				/* UAS doesn't support Session-Timers */
 				if (st_get_mode(p) == SESSION_TIMER_MODE_ORIGINATE) {
 					p->st_ref = SESSION_TIMER_REFRESHER_UAC;
 					p->st_active_peer_ua = FALSE;
+					start_session_timer(p);
 				}
 			}
-			start_session_timer(p);
 		}
 
 
